"""Codetext parser
Parse code to get docstring node, comment node
"""
from .go_parser import GoParser
from .php_parser import PhpParser
from .ruby_parser import RubyParser
from .java_parser import JavaParser
from .javascript_parser import JavascriptParser
from .python_parser import PythonParser
from .cpp_parser import CppParser
from .c_sharp_parser import CsharpParser
from .rust_parser import RustParser
from .language_parser import LanguageParser, get_node_by_kind, get_node_text, \
    tokenize_code, tokenize_docstring, nodes_are_equal
    
SUPPORT_LANGUAGE = [
    "go", "php", "ruby", "java", "javascript", 
    "python", "cpp", "c", "c_sharp", "rust"
]

__all__ = [
    'GoParser', 'PhpParser', 'RubyParser', 'JavaParser', 'JavascriptParser',
    'PythonParser', 'CppParser', 'CsharpParser', 'RustParser', 'LanguageParser',
    'get_node_by_kind', 'get_node_text', 'tokenize_code', 'tokenize_docstring',
    'nodes_are_equal'
]
